LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Suse/Novell
User Name
Password
Suse/Novell This Forum is for the discussion of Suse Linux.

Notices

Reply
 
Search this Thread
Old 03-18-2008, 01:25 PM   #1
riba43
Member
 
Registered: Feb 2005
Location: Slovenia
Distribution: suse11.0
Posts: 749

Rep: Reputation: 31
Question Cant upgrade kde4.0 base system, desktop environment etc


Hi ,

I have suse 10.3 and I have kde4 packages too. But I cant upgrade those packages to the newer version. For instance, I have, let us say, a package kdebase4, version 4.0-10.3 and there is a new version 4.0.2-8.8which can not be installed. I get the following message:

### YaST2 conflicts list - generated 2008-03-18 19:20:59 ####

kdebase4 cannot be installed due to missing dependencies
There are no installable providers of kdebase4-runtime >= 4.0.2 for kdebase4-4.0.2-8.8.x86_64[openSUSE_Factory_3]
=== kdebase4-4.0.2-8.8.x86_64[openSUSE_Factory_3] ===
kdebase4-4.0.2-8.8.x86_64[openSUSE_Factory_3] will be installed by the user.
glibc-2.6.1-18.3.x86_64 is needed by kdebase4-4.0.2-8.8.x86_64[openSUSE_Factory_3] (/sbin/ldconfig)
bash-3.2-61.x86_64 is needed by kdebase4-4.0.2-8.8.x86_64[openSUSE_Factory_3] (/bin/sh)
kdebase4-runtime-4.0.2-6.8.x86_64[openSUSE_Factory_3] provides kdebase4-runtime == 4.0.2-6.8, but it is uninstallable. Try installing it on its own for more details.
kdebase4-4.0.2-8.8.x86_64[openSUSE_Factory_3] is needed by pattern:kde4_basis-10.3-159.x86_64 (kdebase4 == 4.0.2-8.8)
(null)
Re?itev spora:
( ) do not install kdebase4
( ) Ignore this requirement just here

#### YaST2 confl


What exactly can be done???
 
Old 04-02-2008, 05:35 AM   #2
aus9
Guru
 
Registered: Oct 2003
Posts: 5,060

Rep: Reputation: Disabled
ignoring your distro...try to build it in a diff folder...section 4.10
http://docs.kde.org/development/en/k...html#id2548602
 
Old 04-07-2008, 03:02 PM   #3
roastedmnm
LQ Newbie
 
Registered: Jul 2005
Posts: 24

Rep: Reputation: 15
What build service directories are you using? I had a similar problem (unfortunately this was a few weeks back) and the problem was that they had reorganized the kde4 directories into a better structure, but it broke the dependency resolution.

My current repo list regarding kde4
http://download.opensuse.org/reposit...openSUSE_10.3/
http://download.opensuse.org/reposit...openSUSE_10.3/
http://download.opensuse.org/reposit...openSUSE_10.3/

Switching to this list seems to have fixed that problem. There are still a few things that conflict but they conflict with kde3 (i.e. nsplugin)
 
Old 04-16-2008, 12:58 PM   #4
riba43
Member
 
Registered: Feb 2005
Location: Slovenia
Distribution: suse11.0
Posts: 749

Original Poster
Rep: Reputation: 31
Quote:
Originally Posted by roastedmnm View Post
What build service directories are you using? I had a similar problem (unfortunately this was a few weeks back) and the problem was that they had reorganized the kde4 directories into a better structure, but it broke the dependency resolution.

My current repo list regarding kde4
http://download.opensuse.org/reposit...openSUSE_10.3/
http://download.opensuse.org/reposit...openSUSE_10.3/
http://download.opensuse.org/reposit...openSUSE_10.3/

Switching to this list seems to have fixed that problem. There are still a few things that conflict but they conflict with kde3 (i.e. nsplugin)
Well thanks everybody. Nothing worked. I had to reinstall. Now I am not trying to change to KDE4 until SUSE 11.
 
Old 04-16-2008, 02:02 PM   #5
roastedmnm
LQ Newbie
 
Registered: Jul 2005
Posts: 24

Rep: Reputation: 15
Sorry to hear that. Maybe openSUSE 11 will get it right.
 
Old 04-16-2008, 06:19 PM   #6
pilotgi
Member
 
Registered: Apr 2002
Location: ks
Distribution: openSUSE 12.2 64 bit
Posts: 488

Rep: Reputation: 32
Here's a link to an openSUSE page that has a one click install for the latest KDE4.0.3 components. It adds the correct repos and downloads all the necessary files.

http://en.opensuse.org/KDE4
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
kde4 issues: adding widgets to panel & desktop question tferero Linux - Newbie 2 07-28-2008 07:56 PM
LXer: KDE4 Desktop Effects (KWin Composite) Video Tour LXer Syndicated Linux News 0 12-04-2007 06:30 PM
dist-upgrade libsnmp-base debian-desktop rep problem patolfo Debian 0 08-22-2006 12:06 PM
Is base-config package removed from your system with aptitude dist-upgrade? Akhran Debian 6 03-18-2006 07:52 PM
X Windows System vs KDE Desktop Environment Rv5 Linux - Newbie 7 10-07-2004 01:46 PM


All times are GMT -5. The time now is 01:46 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration